package com.cusc.nirvana.user.rnr.openapi.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.openapi.dto.QueryRnAuthDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.VinDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.response.RnAuthInfoRsp;
import com.cusc.nirvana.user.rnr.openapi.dto.response.RnAuthStateRsp;
import com.cusc.nirvana.user.rnr.openapi.service.IRnrAuthSearchService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * Description: 实名查询api
 * <br />
 * CreateDate 2022-04-16 15:16:55
 *
 * @author yuyi
 **/
@RestController
@RequestMapping("/rnAuth/search")
public class OpenApiRnrAuthSearchController {

    @Autowired
    IRnrAuthSearchService rnrAuthSearchService;


    /**
     * Description: 通过VIN查询已实名信息
     * <br />
     * CreateDate 2022-04-20 16:43:36
     *
     * @author yuyi
     **/
    @ApiOperation(value = "通过VIN查询已实名信息", notes = "通过VIN查询已实名信息")
    @PostMapping("/getRnAuthInfoByVin")
    public Response<List<RnAuthInfoRsp>> getRnrInfoByVin(@Valid @RequestBody VinDTO vinDTO) {
        return rnrAuthSearchService.getRnrInfoByVin(vinDTO);
    }

    @ApiOperation(value = "通过VIN/iccid查询实名状态", notes = "通过VIN/iccid查询实名状态 iccid支持多个")
    @PostMapping("/getRnAuthState")
    public Response<RnAuthStateRsp> getRnAuthState(@Valid @RequestBody QueryRnAuthDTO queryRnAuthDTO) {
        return rnrAuthSearchService.getRnAuthState(queryRnAuthDTO);
    }
}
