package com.cusc.nirvana.user.rnr.openapi.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * 开放平台DTO基类
 *
 * @author caow
 * @since 2022-05-06 14:56
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public abstract class OpenApiBaseDTO {
    /**
     * 组织ID
     */
    @ApiModelProperty(value = "组织ID")
    private String orgId;

    @NotBlank(
            message = "流水号不能为空"
    )
    @ApiModelProperty(value = "请求流水号")
    private String serialNumber;
}
