package com.cusc.nirvana.user.rnr.openapi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

/**
 * 分页DTO
 */
@Data
@ApiModel("分页请求")
public class PagerDTO {
    /**
     * 当前页码（从1开始）
     */
    @ApiModelProperty("当前页码（大于等于1）")
    @Min(value = 1, message = "当前页码必须大于等于1")
    private int currPage;
    /**
     * 每页记录数
     */
    @ApiModelProperty("每页记录数[1~100]")
    @Max(value = 100, message = "每页记录数必须小于等于100")
    private int pageSize = 10;
}
